summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /www-apps/bugzilla/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'www-apps/bugzilla/files')
-rw-r--r--www-apps/bugzilla/files/4.0/bugzilla-queue.confd4
-rw-r--r--www-apps/bugzilla/files/4.0/bugzilla-queue.initd39
-rw-r--r--www-apps/bugzilla/files/4.0/bugzilla.cron.daily5
-rw-r--r--www-apps/bugzilla/files/4.0/bugzilla.cron.tab1
-rw-r--r--www-apps/bugzilla/files/4.0/postinstall-en.txt13
-rw-r--r--www-apps/bugzilla/files/4.0/reconfig19
6 files changed, 81 insertions, 0 deletions
diff --git a/www-apps/bugzilla/files/4.0/bugzilla-queue.confd b/www-apps/bugzilla/files/4.0/bugzilla-queue.confd
new file mode 100644
index 000000000000..2eec355a0986
--- /dev/null
+++ b/www-apps/bugzilla/files/4.0/bugzilla-queue.confd
@@ -0,0 +1,4 @@
+#JOBQUEUE_USER=bugzilla
+#JOBQUEUE_GROUP=bugzilla
+
+JOBQUEUE_PATH=/var/www/bugzilla/jobqueue.pl
diff --git a/www-apps/bugzilla/files/4.0/bugzilla-queue.initd b/www-apps/bugzilla/files/4.0/bugzilla-queue.initd
new file mode 100644
index 000000000000..f4038abd8d59
--- /dev/null
+++ b/www-apps/bugzilla/files/4.0/bugzilla-queue.initd
@@ -0,0 +1,39 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+PIDFILE="/var/run/bugzilla/${SVCNAME}.pid"
+JOBQUEUE_USER=${JOBQUEUE_USER:-root}
+JOBQUEUE_GROUP=${JOBQUEUE_GROUP:-root}
+
+checkconfig() {
+ [[ -z "${JOBQUEUE_USER}" || -z "$(getent passwd ${JOBQUEUE_USER})" ]] && { eerror "JOBQUEUE_USER not set or doesn't exist"; return 1; }
+ [[ -z "${JOBQUEUE_GROUP}" || -z "$(getent group ${JOBQUEUE_GROUP})" ]] && { eerror "JOBQUEUE_GROUP not set or doesn't exist"; return 1; }
+ [[ -z "${JOBQUEUE_PATH}" && ! -x "${JOBQUEUE_PATH}" ]] && { eerror "JOBQUEUE_PATH not set or not executable"; return 1; }
+ return 0
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ checkconfig || return 1
+
+ piddir="${PIDFILE%/*}"
+ if [ ! -d "${piddir}" ]; then
+ checkpath -q -d -o $JOBQUEUE_USER:$JOBQUEUE_GROUP -m 0770 "${piddir}" || {
+ eend 1
+ return 1
+ }
+ fi
+
+ start-stop-daemon --start --pidfile $PIDFILE --user $JOBQUEUE_USER --group $JOBQUEUE_GROUP \
+ --exec $JOBQUEUE_PATH -- -p $PIDFILE -n $SVCNAME start 1>/dev/null
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ checkconfig || return 1
+ start-stop-daemon --pidfile $PIDFILE --stop --exec $JOBQUEUE_PATH -- -p $PIDFILE -n $SVCNAME stop
+ eend $?
+}
diff --git a/www-apps/bugzilla/files/4.0/bugzilla.cron.daily b/www-apps/bugzilla/files/4.0/bugzilla.cron.daily
new file mode 100644
index 000000000000..e3e86589891d
--- /dev/null
+++ b/www-apps/bugzilla/files/4.0/bugzilla.cron.daily
@@ -0,0 +1,5 @@
+#!/bin/sh
+cd /var/www/bugzilla/
+./collectstats.pl
+./whineatnews.pl
+echo "*** Bugzilla nighlty flush has done! ***"
diff --git a/www-apps/bugzilla/files/4.0/bugzilla.cron.tab b/www-apps/bugzilla/files/4.0/bugzilla.cron.tab
new file mode 100644
index 000000000000..3cf2d4a66240
--- /dev/null
+++ b/www-apps/bugzilla/files/4.0/bugzilla.cron.tab
@@ -0,0 +1 @@
+0 0 * * * /var/www/bugzilla/bugzilla.cron.daily
diff --git a/www-apps/bugzilla/files/4.0/postinstall-en.txt b/www-apps/bugzilla/files/4.0/postinstall-en.txt
new file mode 100644
index 000000000000..2d18de0b810f
--- /dev/null
+++ b/www-apps/bugzilla/files/4.0/postinstall-en.txt
@@ -0,0 +1,13 @@
+0. Bugzilla has been installed into ${MY_INSTALLDIR}
+
+1. To finish the installation, please read
+ http://www.bugzilla.org/docs/${MY_PB}/en/html/installing-bugzilla.html
+ You will need to run ${MY_INSTALLDIR}/checksetup.pl
+
+2. Please read the Release Notes, especially if you are upgrading:
+ http://www.bugzilla.org/releases/${MY_PB}/release-notes.html
+
+3. Please note that Apache2 sets AllowOverride None by default. You may have
+ to edit it to process the .htaccess file provided by Bugzilla. Please see
+ http://httpd.apache.org/docs/2.2/mod/core.html#allowoverride and
+ http://www.bugzilla.org/docs/${MY_PB}/en/html/configuration.html#http for more info.
diff --git a/www-apps/bugzilla/files/4.0/reconfig b/www-apps/bugzilla/files/4.0/reconfig
new file mode 100644
index 000000000000..71b0acea2585
--- /dev/null
+++ b/www-apps/bugzilla/files/4.0/reconfig
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+FILE="bugzilla.cron.daily bugzilla.cron.tab"
+
+function die ()
+{
+ echo
+ echo "***"
+ echo "*** Fatal error: $*"
+ echo "***"
+ exit 1
+}
+
+if [ $1 = "install" ]; then
+ cd "${MY_INSTALLDIR}" || die "Cannot find install dir ${MY_INSTALLDIR}"
+ sed -e "s|/var/www/bugzilla|${MY_INSTALLDIR}|g" -i ${FILE} || die "sed failed"
+else
+ echo "done."
+fi